[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.AssignTo

Assigns properties in an image list to another instance of the class.

## Declaration

Source position: imglist.pp line 332

`public procedure TCustomImageList.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | Image list to receive the values for the class instance.

## Description

AssignTo is an overridden method which allows assigning properties in the image list to another instance of the class. AssignTo re-implements the method defined in TPersistent to include the properties available in TCustomImageList.

Dest is the persistent object where properties values from the current class instance are stored.

AssignTo checks the Dest argument to ensure that its is a TCustomImageList descendant. When it is derived from TCustomImageList, its Assign method is used to store the values in the current object instance. If it is not a TCustomImageList descendant, the inherited AssignTo method is called using Dest as an argument.

## See also

TCustomImageList.Assign |  | Stores properties from the specified image list to the current class instance.